## SquidGuard

HOME | Downloads | Documentation | Development | Blacklists | Contributions | Contact
--- | --- | --- | --- | --- | --- | ---

## squidGuard - Runtime Options

SquidGuard accept the following options:

-v | Setting this option will display the version number.
-d | Setting this option will direct all errors to stderr (usually the terminal you started squidGuard from). This is extremely helpful when verifying a fresh installation or for troubleshooting purposes.
-b | Switch on the progress bar when updating the blacklists. This option is available with version 1.4 and later.
-c file | This option allows you to specify another configuration file. Use this when testing new configurations before making them active.
-t time | This option allows you to set the startup time format to yyyy-mm-ddTHH:MM:SS. This is especially interesting if you are testing time acls.
-u file | Updating the entire domains and urls files can be quite time consuming. It is much faster to work with .diff files and just include the changes into the db files. Using this option squidGuard will look in the category directories for .diff files and prepare the changes accordingly. The changes will be made active once squid is reconfigured (squid -k reconfigure).
-C file|all | Using -C all will create the db files for all configured categories anew. If you only want to update a specific file, you can enter it directly, f.e. -C porn/domains.
-P | If set squidguard will not go into emergency mode when an error with the blacklists is encountered. This option only works when used with option -C. This option is available with version 1.4 and later.

Documentation

Installation

Configuration

Getting started
Destination ACLs
Source ACLs
Redirect Rule
Time Constraints
Authentication
Regular Expressions
Examples

Runtime Options

About blocking

Troubleshooting

Known Issues

Other Sources

© Powered by Shalla Secure Services 2007-2008